Subject: [TLS] wrt -ssl-must-not and -tls-server-id-check

From: =JeffH <[email-masked]>
Date: Tue, 03 Aug 2010 18:56:18 -0700

One of my take-aways from the TLS wg session last week in Maastricht (ietf-78) 
was that wrt draft-turner-ssl-must-not, the sense in the room was that it will 
be ok to deprecate SSLv2 and earlier, but not SSLv3.

That said, it occurs to me that we should perhaps add an item to the Scope 
section of -tls-server-id-check 
<http://tools.ietf.org/html/draft-saintandre-tls-server-id-check> that the 
requirements described therein apply to SSL certs as well as TLS. Part of the 
rationale being that many people refer to (and seem to regard) both protocols 
as essentially the same (i.e. they are differentiated to end users only on a 
buried advanced preferences dialog) and many use the term "SSL" to refer to 
both TLS and SSL, and thus we should perhaps explicitly mention SSL once in 
terms of scope in order to try to be clear about applicability (and help the 
spec turn up appropriately in search engine results :)

thoughts?

thanks,

=JeffH